Debian Bug report logs - #471427
[ia64] fix multithread/nfs corruption

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: dann frazier <dannf@debian.org>

Date: Tue, 18 Mar 2008 06:33:01 UTC

Severity: important

Tags: patch

Found in version 2.6.18.dfsg.1-18etch1

Fixed in version linux-2.6/2.6.18.dfsg.1-19

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#471427; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: submit@bugs.debian.org
Subject: [ia64] fix multithread/nfs corruption
Date: Tue, 18 Mar 2008 00:30:38 -0600
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.18.dfsg.1-18etch1
Severity: important
Tags: patch

This issue was originally reported to LKML here:
  http://www.gelato.unsw.edu.au/archives/linux-ia64/0704/20323.html

This problem was eventually fixed upstream, but the patch was quite
invasive. The fix originally proposed (moving the lazy_mmu_prot_update
call) is believed to sufficiently resolve the issue. This fix, along
with a similar fix for migrate.c, was picked up by the RHEL kernels
(attached). I suggest including this fix in stable.

-- 
dann frazier

[linux-2.6-mm-ia64-flush-i-cache-before-set_pte.patch (text/plain, attachment)]

Tags added: pending Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Wed, 26 Mar 2008 13:33:06 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to dann frazier <dannf@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 471427-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 471427-close@bugs.debian.org
Subject: Bug#471427: fixed in linux-2.6 2.6.18.dfsg.1-19
Date: Sat, 05 Apr 2008 07:52:17 +0000
Source: linux-2.6
Source-Version: 2.6.18.dfsg.1-19

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.18.dfsg.1-19.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-19.diff.gz
linux-2.6_2.6.18.dfsg.1-19.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-19.dsc
linux-doc-2.6.18_2.6.18.dfsg.1-19_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.18_2.6.18.dfsg.1-19_all.deb
linux-headers-2.6.18-6-all-ia64_2.6.18.dfsg.1-19_ia64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-all-ia64_2.6.18.dfsg.1-19_ia64.deb
linux-headers-2.6.18-6-all_2.6.18.dfsg.1-19_ia64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-all_2.6.18.dfsg.1-19_ia64.deb
linux-headers-2.6.18-6-itanium_2.6.18.dfsg.1-19_ia64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-itanium_2.6.18.dfsg.1-19_ia64.deb
linux-headers-2.6.18-6-mckinley_2.6.18.dfsg.1-19_ia64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6-mckinley_2.6.18.dfsg.1-19_ia64.deb
linux-headers-2.6.18-6_2.6.18.dfsg.1-19_ia64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-6_2.6.18.dfsg.1-19_ia64.deb
linux-image-2.6.18-6-itanium_2.6.18.dfsg.1-19_ia64.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-6-itanium_2.6.18.dfsg.1-19_ia64.deb
linux-image-2.6.18-6-mckinley_2.6.18.dfsg.1-19_ia64.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-6-mckinley_2.6.18.dfsg.1-19_ia64.deb
linux-manual-2.6.18_2.6.18.dfsg.1-19_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.18_2.6.18.dfsg.1-19_all.deb
linux-patch-debian-2.6.18_2.6.18.dfsg.1-19_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.18_2.6.18.dfsg.1-19_all.deb
linux-source-2.6.18_2.6.18.dfsg.1-19_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.18_2.6.18.dfsg.1-19_all.deb
linux-support-2.6.18-6_2.6.18.dfsg.1-19_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.18-6_2.6.18.dfsg.1-19_all.deb
linux-tree-2.6.18_2.6.18.dfsg.1-19_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.18_2.6.18.dfsg.1-19_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 471427@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 03 Apr 2008 16:22:55 -0600
Source: linux-2.6
Binary: linux-image-2.6.18-6-vserver-powerpc linux-image-2.6.18-6-sparc32 linux-headers-2.6.18-6-r4k-kn04 linux-image-2.6.18-6-s390x linux-headers-2.6.18-6-r4k-ip22 linux-headers-2.6.18-6-xen-vserver-686 linux-headers-2.6.18-6-alpha-legacy linux-modules-2.6.18-6-xen-686 linux-headers-2.6.18-6-alpha-generic linux-headers-2.6.18-6-powerpc-miboot linux-headers-2.6.18-6-all-mips linux-image-2.6.18-6-r4k-ip22 linux-headers-2.6.18-6-powerpc-smp linux-headers-2.6.18-6-vserver-k7 xen-linux-system-2.6.18-6-xen-amd64 linux-manual-2.6.18 linux-image-2.6.18-6-footbridge linux-image-2.6.18-6-parisc-smp linux-image-2.6.18-6-s390 linux-image-2.6.18-6-xen-686 linux-image-2.6.18-6-amd64 linux-image-2.6.18-6-powerpc-miboot linux-headers-2.6.18-6-qemu linux-headers-2.6.18-6-mac linux-image-2.6.18-6-powerpc-smp linux-headers-2.6.18-6-rpc linux-image-2.6.18-6-xen-amd64 linux-headers-2.6.18-6-r5k-cobalt linux-headers-2.6.18-6-itanium linux-image-2.6.18-6-itanium linux-headers-2.6.18-6-vserver-sparc64 linux-image-2.6.18-6-powerpc linux-image-2.6.18-6-parisc linux-modules-2.6.18-6-xen-vserver-amd64 linux-image-2.6.18-6-parisc64-smp linux-headers-2.6.18-6-iop32x linux-image-2.6.18-6-sparc64-smp linux-image-2.6.18-6-686-bigmem linux-headers-2.6.18-6-all-mipsel linux-headers-2.6.18-6-all-ia64 linux-headers-2.6.18-6-ixp4xx linux-image-2.6.18-6-amiga linux-headers-2.6.18-6-all-m68k linux-image-2.6.18-6-r3k-kn02 linux-headers-2.6.18-6-mckinley linux-modules-2.6.18-6-xen-vserver-686 linux-image-2.6.18-6-alpha-legacy linux-image-2.6.18-6-alpha-smp linux-headers-2.6.18-6-xen-vserver-amd64 linux-headers-2.6.18-6-atari linux-image-2.6.18-6-vserver-powerpc64 linux-image-2.6.18-6-alpha-generic linux-headers-2.6.18-6-vserver-686 xen-linux-system-2.6.18-6-xen-vserver-686 linux-image-2.6.18-6-k7 linux-image-2.6.18-6-sb1a-bcm91480b linux-headers-2.6.18-6-all-hppa linux-headers-2.6.18-6-xen-amd64 linux-image-2.6.18-6-rpc linux-support-2.6.18-6 linux-doc-2.6.18 linux-headers-2.6.18-6-sparc64 linux-headers-2.6.18-6-all-amd64 linux-headers-2.6.18-6-sparc32 linux-headers-2.6.18-6-all-alpha linux-headers-2.6.18-6-alpha-smp linux-headers-2.6.18-6 linux-image-2.6.18-6-iop32x linux-image-2.6.18-6-vserver-k7 linux-image-2.6.18-6-parisc64 linux-headers-2.6.18-6-k7 linux-image-2.6.18-6-r5k-ip32 linux-image-2.6.18-6-r4k-kn04 linux-headers-2.6.18-6-all linux-image-2.6.18-6-atari linux-headers-2.6.18-6-vserver-powerpc linux-source-2.6.18 linux-headers-2.6.18-6-amd64 linux-headers-2.6.18-6-xen-686 linux-headers-2.6.18-6-r5k-ip32 linux-headers-2.6.18-6-sb1-bcm91250a linux-image-2.6.18-6-qemu linux-headers-2.6.18-6-xen linux-headers-2.6.18-6-prep linux-headers-2.6.18-6-all-sparc linux-image-2.6.18-6-mckinley linux-headers-2.6.18-6-vserver-s390x xen-linux-system-2.6.18-6-xen-vserver-amd64 linux-headers-2.6.18-6-footbridge linux-image-2.6.18-6-sb1-bcm91250a linux-image-2.6.18-6-xen-vserver-amd64 linux-image-2.6.18-6-mac xen-linux-system-2.6.18-6-xen-686 linux-image-2.6.18-6-r5k-cobalt linux-headers-2.6.18-6-s390x linux-image-2.6.18-6-xen-vserver-686 linux-headers-2.6.18-6-parisc64 linux-headers-2.6.18-6-parisc-smp linux-headers-2.6.18-6-r3k-kn02 linux-headers-2.6.18-6-s3c2410 linux-headers-2.6.18-6-xen-vserver linux-image-2.6.18-6-vserver-sparc64 linux-headers-2.6.18-6-686 linux-image-2.6.18-6-vserver-amd64 linux-headers-2.6.18-6-powerpc linux-headers-2.6.18-6-686-bigmem linux-image-2.6.18-6-686 linux-headers-2.6.18-6-amiga linux-image-2.6.18-6-vserver-686 linux-image-2.6.18-6-powerpc64 linux-headers-2.6.18-6-vserver-powerpc64 linux-headers-2.6.18-6-all-arm linux-image-2.6.18-6-sparc64 linux-headers-2.6.18-6-all-powerpc linux-image-2.6.18-6-486 linux-image-2.6.18-6-s3c2410 linux-headers-2.6.18-6-vserver-alpha linux-headers-2.6.18-6-parisc64-smp linux-image-2.6.18-6-prep linux-patch-debian-2.6.18 linux-headers-2.6.18-6-sparc64-smp linux-modules-2.6.18-6-xen-amd64 linux-tree-2.6.18 linux-image-2.6.18-6-s390-tape linux-headers-2.6.18-6-vserver-amd64 linux-image-2.6.18-6-vserver-s390x linux-image-2.6.18-6-vserver-alpha linux-headers-2.6.18-6-sb1a-bcm91480b linux-headers-2.6.18-6-powerpc64 linux-headers-2.6.18-6-all-i386 linux-headers-2.6.18-6-parisc linux-headers-2.6.18-6-s390 linux-headers-2.6.18-6-vserver linux-image-2.6.18-6-ixp4xx linux-headers-2.6.18-6-486 linux-headers-2.6.18-6-all-s390
Architecture: source ia64 all
Version: 2.6.18.dfsg.1-19
Distribution: stable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 linux-doc-2.6.18 - Linux kernel specific documentation for version 2.6.18
 linux-headers-2.6.18-6 - Common header files for Linux 2.6.18
 linux-headers-2.6.18-6-all - All header files for Linux 2.6.18
 linux-headers-2.6.18-6-all-ia64 - All header files for Linux 2.6.18
 linux-headers-2.6.18-6-itanium - Header files for Linux 2.6.18 on Itanium
 linux-headers-2.6.18-6-mckinley - Header files for Linux 2.6.18 on Itanium II
 linux-image-2.6.18-6-itanium - Linux 2.6.18 image on Itanium
 linux-image-2.6.18-6-mckinley - Linux 2.6.18 image on Itanium II
 linux-manual-2.6.18 - Linux kernel API manual pages for version 2.6.18
 linux-patch-debian-2.6.18 - Debian patches to version 2.6.18 of the Linux kernel
 linux-source-2.6.18 - Linux kernel source for version 2.6.18 with Debian patches
 linux-support-2.6.18-6 - Support files for Linux 2.6.18
 linux-tree-2.6.18 - Linux kernel source tree for building Debian kernel images
Closes: 466401 469058 470719 471427 473824
Changes: 
 linux-2.6 (2.6.18.dfsg.1-19) stable; urgency=high
 .
   [ Martin Michlmayr ]
   * [mips] Enable UART on RaQ1 (closes: #473824).
 .
   [ dann frazier ]
   * e1000: Add PCI-IDs for 82571EB 4-port cards (closes: #466401).
   * Fix potential nfs write corruption (closes: #470719)
   * [ia64] Fix multi-thread/nfs text corruption (closes: #471427).
 .
   [ Bastian Blank ]
   * [i386/amd64] Clear DF before calling signal handler. (closes: #469058)
Files: 
 0f7ea4103e090d7f9a156090f0294a7f 5662 devel optional linux-2.6_2.6.18.dfsg.1-19.dsc
 d1ed973e192795b55ab4d2867917fcee 5384246 devel optional linux-2.6_2.6.18.dfsg.1-19.diff.gz
 e74a3731ac89fce2845cce8fbd8cdbea 3589694 doc optional linux-doc-2.6.18_2.6.18.dfsg.1-19_all.deb
 879d589774fe1c33b6b848289a6e6d83 1085018 doc optional linux-manual-2.6.18_2.6.18.dfsg.1-19_all.deb
 265071ab13306d769ff70b7e37537b97 1585778 devel optional linux-patch-debian-2.6.18_2.6.18.dfsg.1-19_all.deb
 9871f68780353bd51c547cafd849bf0a 41463294 devel optional linux-source-2.6.18_2.6.18.dfsg.1-19_all.deb
 1d95b3d601c24344be1895a9564601f1 3735816 devel optional linux-support-2.6.18-6_2.6.18.dfsg.1-19_all.deb
 8428701762805d8ebb9e03af6a52a48f 54000 devel optional linux-tree-2.6.18_2.6.18.dfsg.1-19_all.deb
 043dd78c61c392dc021817b9f09d99f4 53480 devel optional linux-headers-2.6.18-6-all_2.6.18.dfsg.1-19_ia64.deb
 6de572157a52da1d9b135445c753de71 53498 devel optional linux-headers-2.6.18-6-all-ia64_2.6.18.dfsg.1-19_ia64.deb
 3f86b7207fe411a06c66fc12d10df8d3 3081340 devel optional linux-headers-2.6.18-6_2.6.18.dfsg.1-19_ia64.deb
 7719e421131814d56db8b1928127f2e3 28014540 admin optional linux-image-2.6.18-6-itanium_2.6.18.dfsg.1-19_ia64.deb
 2f3c4b013a565e8041ca6d1e3da232be 254860 devel optional linux-headers-2.6.18-6-itanium_2.6.18.dfsg.1-19_ia64.deb
 305276651992845a116e9fa51955be3e 28181824 admin optional linux-image-2.6.18-6-mckinley_2.6.18.dfsg.1-19_ia64.deb
 e00866b66276db62c91478740b582702 255722 devel optional linux-headers-2.6.18-6-mckinley_2.6.18.dfsg.1-19_ia64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9ZzFhuANDBmkLRkRAkFLAJ0b6tCkStQjUkV2MPitzVjemrpxBwCggIcu
uh14bqjVJ89+rmzO6mDydn4=
=Fif/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 04 May 2008 07:32:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:35:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.